# vim:noexpandtab:sw=2 ts=2

moddir = \
  ${AP_LIBEXECDIR}

# libraries
mod_LTLIBRARIES = \
  mod_unified_s3_auth.la

# library: mod_unified_s3_auth
mod_unified_s3_auth_la_SOURCES = \
  mod_unified_s3_auth.cpp

mod_unified_s3_auth_la_CXXFLAGS = \
  -Wall \
  -Werror \
  ${MODULE_CFLAGS}

mod_unified_s3_auth_la_CPPFLAGS = \
  -I$(top_srcdir)/common \
  $(FMP4_CFLAGS) \
  -DMODULE_NAME=unified_s3_auth

mod_unified_s3_auth_la_LDFLAGS = \
  $(FMP4_LDFLAGS) \
  -rpath ${AP_LIBEXECDIR} \
  -module \
  -avoid-version \
  ${MODULE_LDFLAGS}

mod_unified_s3_auth_la_LIBADD = \
  ../common/libcommon.la

EXTRA_DIST = \
  mod_unified_s3_auth.conf \
  mod_unified_s3_auth.load

install: install-am
	rm -f $(DESTDIR)${AP_LIBEXECDIR}/mod_unified_s3_auth.a
	rm -f $(DESTDIR)${AP_LIBEXECDIR}/mod_unified_s3_auth.la
